<div class="p-20">
	<div class="mb-20">
		<div class="breadcrumbs ">
			<a class="breadcrumbs__item"
				[routerLink]="['../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span>
			      Список пользователей
			    </span>
			</a>
		</div>
		<div>
			<h2 fxFlex="">Создание нового пользователя</h2>
			<button  mat-raised-button
				color="primary"
				[disabled]="form.invalid"
				(click)="create()">Создать
			</button>
		</div>





	</div>

	<mat-card class="art-card">
		<mat-card-content>
			<form [formGroup]="form" >

				<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Фамилия</mat-label>
						<input matInput
							formControlName="surname"
							required>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Имя</mat-label>
						<input matInput
							formControlName="name"
							required>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Отчество</mat-label>
						<input matInput
							formControlName="patronymic"
							appNullValue>
					</mat-form-field>

				</div>

				<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Логин</mat-label>
						<input matInput
							formControlName="login"
							required>
						<mat-error *ngIf="!form.controls['login'].valid && form.controls['login'].touched">
							<span *ngIf="form.get('login').hasError('pattern')">
								Недопустимый формат логина
							</span>
						</mat-error>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>email</mat-label>
						<input matInput
							formControlName="email"
							appNullValue>
						<mat-error *ngIf="!form.controls['email'].valid && form.controls['email'].touched">
							<span *ngIf="form.get('email').hasError('pattern')">
								Недопустимый формат email
							</span>
						</mat-error>
					</mat-form-field>

					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Телефон</mat-label>
						<input matInput
							formControlName="phone"
							[imask]="{mask: '+{7}(000)000-00-00'}"
							[unmask]="false"
							placeholder="+7(___) ___-____"
							name="phone"
							appNullValue>
					</mat-form-field>

				</div>
				<div>
					<mat-form-field  appearance="fill" fxFlex="">
						<mat-label>Пароль</mat-label>
						<input matInput
							formControlName="password"
							required>
						<button mat-icon-button matSuffix
							matTooltip="Сгенерировать пароль"
							(click)="generatePass()">
							<mat-icon svgIcon="autorenew"></mat-icon>
						</button>
					</mat-form-field>

				</div>

				<div>
					<mat-form-field fxFlex="" appearance="fill">
						<mat-label>Организация</mat-label>
						<mat-select
							formControlName="id_organization"
							required >
							<mat-option>
								<ngx-mat-select-search
									[(ngModel)]="searchSelect"
									[ngModelOptions]="{standalone: true}"
									[placeholderLabel]="'Поиск'"
									[noEntriesFoundLabel]="'Ничего не найдено'">
									<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
								</ngx-mat-select-search>
							</mat-option>

							<mat-option *ngFor="let item of organizationList | filter: searchSelect: 'short_title' " [value]="item.id">
								{{item.short_title}}
							</mat-option>


						</mat-select>
					</mat-form-field>


				</div>

				<div>
					<h5 class="mb-16"> Подтверждающий файл <sup>*</sup></h5>
					<app-file-upload
						formControlName="file"
						required="true">
					</app-file-upload>
				</div>


			</form>
		</mat-card-content>


	</mat-card>


</div>
